﻿----------------------------------------------------------------------------
----Author: ViperGTS96------------------------------------------------------
----------------------------------------------------------------------------
--------------------"The simplest design is always the best design." -------
----------------------------------------------------------------------------

source(Utils.getFilename("realDirtColor.lua", g_currentModDirectory));

realDirtColorRegister = {};
realDirtColorRegister.modDirectory = g_currentModDirectory;

local modDesc = loadXMLFile("modDesc", g_currentModDirectory .. "modDesc.xml");
realDirtColorRegister.version = getXMLString(modDesc, "modDesc.version");

if g_specializationManager:getSpecializationByName("realDirtColor") == nil then
	if realDirtColor == nil then 
		print("ERROR: unable to find source file 'realDirtColor'");
	else 
		for typeName, typeDef in pairs(g_vehicleTypeManager.vehicleTypes) do
			if typeDef ~= nil and typeName ~= "locomotive" then 
				local isWashable = false;
				for name, spec in pairs(typeDef.specializationsByName) do
					if name == "washable" then 
						isWashable = true;
					end;
				end;
				if isWashable then
					typeDef.specializationsByName["realDirtColor"] = realDirtColor;
					table.insert(typeDef.specializationNames, "realDirtColor");
					table.insert(typeDef.specializations, realDirtColor);
				end;
			end;
		end;
	end;	
end;

function realDirtColorRegister:loadMap()

	local rdcMode, redMapNames = realDirtColor:loadSettings();
	local initRed = false;

	if rdcMode then
		print("Load mod: '"..realDirtColor.title..": Simple Mode' v" .. self.version .. " by: "..realDirtColor.author);
	else
		print("Load mod: '"..realDirtColor.title..": Independent Mode' v" .. self.version .. " by: "..realDirtColor.author);
	end;

	if not initRed and redMapNames ~= nil and #redMapNames > 0 then
		for _, name in pairs(redMapNames) do
			if string.find(g_currentMission.baseDirectory, name) ~= nil then
				realDirtColor:southernDirt();
				initRed = true;
			end;
		end;
	end;

end;

function realDirtColorRegister:deleteMap()
end;

function realDirtColorRegister:mouseEvent(posX, posY, isDown, isUp, button)
end;

function realDirtColorRegister:keyEvent(unicode, sym, modifier, isDown)
end;

function realDirtColorRegister:update(dt)
end;

function realDirtColorRegister:draw()
end;

addModEventListener(realDirtColorRegister);